org.hibernate.search.backend

## Class UpdateLuceneWork

- java.lang.Object
- - org.hibernate.search.backend.LuceneWork
  - - org.hibernate.search.backend.UpdateLuceneWork

-     public class UpdateLuceneWork
      extends LuceneWork

  Carries a Lucene update operation from the engine to the backend
  Since:
    4.0
  Author:
    Sanne Grinovero (C) 2011 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateLuceneWork(Serializable id, String idInString, IndexedTypeIdentifier entityType, Document document)`
    `UpdateLuceneWork(Serializable id, String idInString, IndexedTypeIdentifier entityType, Document document, Map<String,String> fieldToAnalyzerMap)`
    `UpdateLuceneWork(String tenantId, Serializable id, String idInString, IndexedTypeIdentifier entityType, Document document)`
    `UpdateLuceneWork(String tenantId, Serializable id, String idInString, IndexedTypeIdentifier entityType, Document document, Map<String,String> fieldToAnalyzerMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<P,R> R` | `acceptIndexWorkVisitor(IndexWorkVisitor<P,R> visitor, P p)` Accepts the given visitor by dispatching the correct visit method for the specific `LuceneWork` sub-type.
    `Map<String,String>` | `getFieldToAnalyzerMap()`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.search.backend.LuceneWork

      `getDocument, getEntityClass, getEntityType, getId, getIdInString, getTenantId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateLuceneWork

          public UpdateLuceneWork(Serializable id,
                                  String idInString,
                                  IndexedTypeIdentifier entityType,
                                  Document document)

    - #### UpdateLuceneWork

          public UpdateLuceneWork(String tenantId,
                                  Serializable id,
                                  String idInString,
                                  IndexedTypeIdentifier entityType,
                                  Document document)

    - #### UpdateLuceneWork

          public UpdateLuceneWork(Serializable id,
                                  String idInString,
                                  IndexedTypeIdentifier entityType,
                                  Document document,
                                  Map<String,String> fieldToAnalyzerMap)

    - #### UpdateLuceneWork

          public UpdateLuceneWork(String tenantId,
                                  Serializable id,
                                  String idInString,
                                  IndexedTypeIdentifier entityType,
                                  Document document,
                                  Map<String,String> fieldToAnalyzerMap)

  - ### Method Detail

    - #### getFieldToAnalyzerMap

          public Map<String,String> getFieldToAnalyzerMap()

      Overrides:
        `getFieldToAnalyzerMap` in class `LuceneWork`

    - #### acceptIndexWorkVisitor

          public <P,R> R acceptIndexWorkVisitor(IndexWorkVisitor<P,R> visitor,
                                                P p)

      Description copied from class: `LuceneWork`
      Accepts the given visitor by dispatching the correct visit method for the specific `LuceneWork` sub-type.
      Specified by:
        `acceptIndexWorkVisitor` in class `LuceneWork`
      Type Parameters:
        `P` - Context parameter type expected by a specific visitor
        `R` - Return type provided by a specific visitor
      Parameters:
        `visitor` - the visitor to accept
        `p` - a visitor-specific context parameter
      Returns:
        a visitor-specific return value or `null` if this visitor doesn't return a result

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved